Bug 293148 - Marble Touch: Search result balloons appear in the wrong place when using the vkb
Summary: Marble Touch: Search result balloons appear in the wrong place when using the...
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Meego/Harmattan Linux
: NOR normal (vote)
Target Milestone: 1.3 (KDE 4.8)
Assignee: marble-bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-02 15:12 UTC by Torsten Rahn
Modified: 2012-04-25 11:33 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: Marble Touch 1.3.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Rahn 2012-02-02 15:12:14 UTC
Version:           unspecified
OS:                Linux

On the N9 there is no hardware keyboard. So most people use the virtual keyboard (vkb). 
When searching for a new place the result balloons appear in the wrong place after use of the vkb.

Reproducible: Always

Steps to Reproduce:
* Search for a new place (e.g. Flensburg) using the virtual keyboard.
* Press Enter (btw.: Is there a way to make the "Enter" key read "Search" when starting the search?)
* Observe the (correct) location of the Balloon marking Flensburg
* Click onto the map to leave the vkb
* Observe that the search result bubble are in the wrong spot.


Actual Results:  
Search result bubbles are in the wrong location after using the vkb.

Expected Results:  
Search result bubbles are in the right location after using the vkb.
Comment 1 Torsten Rahn 2012-02-03 13:07:57 UTC
Another issue is that the virtual keyboard doesn't close automatically after the search is triggered. That's also non-standard :)
Comment 2 Dennis Nienhüser 2012-04-22 13:20:47 UTC
Git commit 2266a469a990acbfd3f969107a725b36957f12dc by Dennis Nienhüser.
Committed on 21/04/2012 at 15:07.
Pushed by nienhueser into branch 'Touch/1.3'.

Resizing the widget changes the viewport.

M  +1    -0    src/lib/MarbleWidget.cpp

http://commits.kde.org/marble/2266a469a990acbfd3f969107a725b36957f12dc
Comment 3 Bernhard Beschow 2012-04-25 09:51:42 UTC
Git commit 260721d624633ca31829220bc357977198cb8ae9 by Bernhard Beschow, on behalf of Dennis Nienhüser.
Committed on 21/04/2012 at 15:07.
Pushed by beschow into branch 'master'.

Resizing the widget changes the viewport.
(cherry picked from commit 2266a469a990acbfd3f969107a725b36957f12dc)

M  +1    -0    src/lib/MarbleWidget.cpp

http://commits.kde.org/marble/260721d624633ca31829220bc357977198cb8ae9